package NetHirc::Util;

use strict;
use warnings;

use Exporter;
use POE qw(Kernel);
our @ISA = qw(Exporter);

our @EXPORT = qw( 
debug 
nht
pickrandom
update_statusline
);

our @EXPORT_OK = @EXPORT;

sub debug
{
    $poe_kernel->post('nethirc_debug', 'debug', @_);
}

sub nht
{
    $poe_kernel->post('nethirc_terminal', 'format', @_);
}   

sub pickrandom
{
    my $aref = shift;
    return $aref->[int rand @$aref];
}

sub update_statusline
{
    $poe_kernel->post('nethirc_terminal', 'update');
}


1;
__END__
